<%@ Page Language="c#" AutoEventWireup="true" %>

<%@ Register TagPrefix="radAjax" Namespace="Telerik.WebControls" Assembly="RadAjax.Net2" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
<head>
   <title>SelfClosingDialog</title>
   <meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
   <meta name="CODE_LANGUAGE" content="C#">
   <meta name="vs_defaultClientScript" content="JavaScript">
   <meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
</head>
<body ms_positioning="GridLayout">
   <form id="Form1" method="post" runat="server">
      <asp:ScriptManager ID="ScriptManager1" runat="server">
      </asp:ScriptManager>
      <radAjax:RadAjaxManager ID="RadAjaxManager1" runat="server">
         <AjaxSettings>
            <radAjax:AjaxSetting AjaxControlID="Button3">
            </radAjax:AjaxSetting>
         </AjaxSettings>
      </radAjax:RadAjaxManager>

      <script runat="server" type="text/C#">
         //Close on reload
         protected void Button1_Click(object sender, System.EventArgs e)
         {
            string script = "<script type='text/javascript'>CloseOnReload();</" + "script>";
            ClientScript.RegisterStartupScript(this.GetType(), "CloseOnReload", script);
         }

         //Refresh parent page on reload
         protected void Button2_Click(object sender, System.EventArgs e)
         {
            string script = "RefreshParentPage();";
            ScriptManager.RegisterStartupScript(this, this.GetType(), "RefreshParentPage", script, true);
         }

         protected void Button3_Click(object sender, EventArgs e)
         {
            //code to handle the generic AJAX request
            string newUrl = "http://www.google.com";
            string script = "RedirectParentPage('" + newUrl + "');";

            RadAjaxManager1.ResponseScripts.Add(script);
         }

         //Calling a function defined on the parent page
         protected void Button4_Click(object sender, System.EventArgs e)
         {
            //We do some server-side processing and we decide which function to call
            string fnName = "TestFunction";
            string script = "CallFunctionOnParentPage('" + fnName + "');";
            RadAjaxPanel1.ResponseScripts.Add(script);
         }

         //Refresh parent page on reload without warning message 
         protected void Button5_Click(object sender, System.EventArgs e)
         {
            string script = "RefreshParentPageWithoutWarning();";
            ScriptManager.RegisterStartupScript(this, this.GetType(), "RefreshParentPageWithoutWarning", script, true);
         }
      </script>

      <script type="text/javascript">
			//This code is used to provide a reference to the radwindow "wrapper"
			function GetRadWindow()
			{
				var oWindow = null;
				if (window.radWindow) oWindow = window.radWindow; //Will work in Moz in all cases, including clasic dialog
				else if (window.frameElement.radWindow) oWindow = window.frameElement.radWindow;//IE (and Moz az well)				
				return oWindow;
			}
			
			function CloseOnReload()
			{
				alert ("Dialog is about to close itself");
				GetRadWindow().Close();				
			}
			
			function RefreshParentPage()
			{
				alert ("Dialog is about to reload parent page");
				GetRadWindow().BrowserWindow.location.reload();
			}
			
			function RedirectParentPage(newUrl)
			{
				alert ("Dialog is about to redirect parent page to " + newUrl);
				GetRadWindow().BrowserWindow.document.location.href = newUrl;
			}
			
			function CallFunctionOnParentPage(fnName)
			{
				alert ("Calling the function " + fnName + " defined on the parent page");
				var oWindow = GetRadWindow();
				if (oWindow.BrowserWindow[fnName] && typeof(oWindow.BrowserWindow[fnName]) == "function")
				{
					oWindow.BrowserWindow[fnName](oWindow);
				}
			}
			
			function RefreshParentPageWithoutWarning()
         {
            alert("Dialog is about to reload parent page");
            GetRadWindow().BrowserWindow.document.forms[0].submit();
         }
      </script>

      <asp:Button OnClick="Button1_Click" runat="server" Text="Postback page and close on reload"
         ID="Button1"></asp:Button>
      <br />
      <asp:Button OnClick="Button2_Click" runat="server" Text="Postback page, refresh parent page on reload"
         ID="Button2"></asp:Button>
      <br />
      <asp:Button OnClick="Button3_Click" runat="server" Text="Postback page, redirect parent page on reload"
         ID="Button3"></asp:Button>
      <br />
      <radAjax:RadAjaxPanel ID="RadAjaxPanel1" runat="server">
         <asp:Button OnClick="Button4_Click" runat="server" Text="Postback page, call a function defined on the parent page on reload"
            ID="Button4"></asp:Button>
      </radAjax:RadAjaxPanel>
      <br />
      <asp:Button ID="Button5" runat="server" Text="Postback page, refresh parent page on reload without warning message"
         OnClick="Button5_Click"></asp:Button>
   </form>
</body>
</html>
